/****************************************************************************
  FILE: JEx21.java, TomaszMajor-02Feb99
  PURPOSE: Tango tutorial example
****************************************************************************/


import java.awt.*;
import java.awt.event.*;
import java.applet.Applet;
import webwisdom.tango.*;


public class JEx21 extends Applet implements ActionListener, TDataListener
{
    TextField text;
    TAgent agent=null;


    public JEx21()
    {
      text=new TextField();
      setLayout(new BorderLayout());
      add("North",text);
      text.addActionListener(this);
    }// JEx ________________________________________________________________


    public void init()
    {
      try
      {
	agent=new TAgent(new TLAgentApplet(this));
	agent.addTDataListener(this);
      }
      catch(TangoException e)
      {
	e.printStackTrace();
      }
    }// init _______________________________________________________________


    public void destroy()
    {
      if(agent!=null)
	agent.exit();
    }// destroy ____________________________________________________________


    public void actionPerformed(ActionEvent evt)
    {
      if(evt.getSource()==text)
	if(agent!=null)
	  agent.send((text.getText()).getBytes());
    }// actionPerformed ____________________________________________________


    public void receive(byte b[])
    {
      text.setText(new String(b));
    }// receive ____________________________________________________________


}// JEx ////////////////////////////////////////////////////////////////////


